Android 6.0 以及HttpClient-阿里云开发者社区

开发者社区> 开发与运维> 正文
登录阅读全文

Android 6.0 以及HttpClient

简介: Android 6.0 SDK,API Level 是 23。更新之后,就可以修改 compileSdkVersion 和targetSdkVersion 到 23 体验新的特性了。 同时 Android Support Library 也更新到了 23.01,同时发布的还有 customtabs, percent, recommendation, preference-v7,preference-v14, 和 preference-leanback-v17 这些支持类库。

Android 6.0 SDK,API Level 是 23。更新之后,就可以修改 compileSdkVersion 和targetSdkVersion 到 23 体验新的特性了。

同时 Android Support Library 也更新到了 23.01,同时发布的还有 customtabspercentrecommendationpreference-v7,preference-v14, 和 preference-leanback-v17 这些支持类库。

在升级 APP 到 API Level 23 的过程中,请注意新平台特性带来的一些新的权限的处理。比如指纹识别,省电模式等,同时还有另外一个问题,那就是HttpClient已经过时了,如果在23目标版本,编译会出现以下错误:

Cannot resolve symbol HttpClient

在sdk 23+已经不支持httpclient这个类了,取而代之的是你可以使用URLConnection,或者  用sdk 22

(compile'com.android.support:appcompat-v7:22.2.0')

如果必须使用sdk 23,添加如下代码:

android {
    useLibrary 'org.apache.http.legacy'
}


 

参考链接: http://android-developers.blogspot.com/2015/08/m-developer-preview-3-final-sdk.html

              http://stackoverflow.com/questions/32153318/httpclient-wont-import-in-android-studio

版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

分享:
开发与运维
使用钉钉扫一扫加入圈子
+ 订阅

集结各类场景实战经验,助你开发运维畅行无忧

其他文章
最新文章
相关文章